ubuntu-location-service: com::ubuntu::location::connectivity::RadioCell::Gsm Struct Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Public Types | Public Attributes | List of all members
com::ubuntu::location::connectivity::RadioCell::Gsm Struct Reference

Models a GSM radio cell. More...

`#include <radio_cell.h>`

Collaboration diagram for com::ubuntu::location::connectivity::RadioCell::Gsm:

## Public Types
typedef MobileCountryCode< 0, 999, std::numeric_limits< int >::max() > | MCC
typedef MobileNetworkCode< 0, 999, std::numeric_limits< int >::max() > | MNC
typedef LocationAreaCode< 0, 65535, std::numeric_limits< int >::max() > | LAC
typedef CellId< 0, 65535, std::numeric_limits< int >::max() > | ID
typedef ArbitraryStrengthUnit< 0, 31, 99 > | SignalStrength

## Public Attributes
MCC | mobile_country_code
MNC | mobile_network_code
LAC | location_area_code
ID | id
SignalStrength | strength

## Detailed Description

Models a GSM radio cell.

Definition at line 86 of file radio_cell.h.

## Member Typedef Documentation

## ◆ ID

typedef CellId< 0, 65535, std::numeric_limits<int>::max() > com::ubuntu::location::connectivity::RadioCell::Gsm::ID

16-bit GSM Cell Identity described in TS 27.007, 0..65535, INT_MAX if unknown

Definition at line 115 of file radio_cell.h.

## ◆ LAC

typedef LocationAreaCode< 0, 65535, std::numeric_limits<int>::max() > com::ubuntu::location::connectivity::RadioCell::Gsm::LAC

16-bit Location Area Code, 0..65535, INT_MAX if unknown

Definition at line 108 of file radio_cell.h.

## ◆ MCC

typedef MobileCountryCode< 0, 999, std::numeric_limits<int>::max() > com::ubuntu::location::connectivity::RadioCell::Gsm::MCC

3-digit Mobile Country Code, 0..999, INT_MAX if unknown

Definition at line 94 of file radio_cell.h.

## ◆ MNC

typedef MobileNetworkCode< 0, 999, std::numeric_limits<int>::max() > com::ubuntu::location::connectivity::RadioCell::Gsm::MNC

2 or 3-digit Mobile Network Code, 0..999, INT_MAX if unknown

Definition at line 101 of file radio_cell.h.

## ◆ SignalStrength

typedef ArbitraryStrengthUnit< 0, 31, 99 > com::ubuntu::location::connectivity::RadioCell::Gsm::SignalStrength

Valid values are (0-31, 99) as defined in TS 27.007 8.5

Definition at line 123 of file radio_cell.h.

## Member Data Documentation

## ◆ id

ID com::ubuntu::location::connectivity::RadioCell::Gsm::id

Definition at line 128 of file radio_cell.h.

## ◆ location_area_code

LAC com::ubuntu::location::connectivity::RadioCell::Gsm::location_area_code

Definition at line 127 of file radio_cell.h.

## ◆ mobile_country_code

MCC com::ubuntu::location::connectivity::RadioCell::Gsm::mobile_country_code

Definition at line 125 of file radio_cell.h.

## ◆ mobile_network_code

MNC com::ubuntu::location::connectivity::RadioCell::Gsm::mobile_network_code

Definition at line 126 of file radio_cell.h.

## ◆ strength

SignalStrength com::ubuntu::location::connectivity::RadioCell::Gsm::strength

Definition at line 129 of file radio_cell.h.

The documentation for this struct was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/connectivity/radio_cell.h